<?php
/*
Plugin Name: EZ zenback
Plugin URI: http://www.near-mint.com/blog/software/ez-zenback
Description: The "<a href="http://zenback.jp/">zenback</a>" service analyzes Japanese posts and displays related keywords, related posts and mentioned tweets in your blog. This plugin will help you to install "zenback". No need to edit theme files to install "zenback" code. You can insert not only "zenback" code but also other HTML, JavaScripts into your posts or pages easily.
Version: 1.3
Author: redcocker
Author URI: http://www.near-mint.com/blog/
Text Domain: ez_zenback
Domain Path: /languages
*/
/*
Last modified: 2011/8/25
License: GPL v2
zenback is registered trademark of Six Apart, Ltd.
*/
/*  Copyright 2011 M. Sumitomo

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
*/

load_plugin_textdomain('ez_zenback', false, dirname(plugin_basename(__FILE__)).'/languages');
$ez_plugin_url = plugin_dir_url(__FILE__);
$ez_zenback_ver = "1.3";
$zenback_code = stripslashes(get_option('ez_zenback_code'));
$zenback_position = get_option('ez_zenback_position');
$zenback_single = get_option('ez_zenback_single');
$zenback_page = get_option('ez_zenback_page');
$zenback_accuracy = get_option('ez_zenback_accuracy');
$before_post = stripslashes(get_option('ez_before_post'));
$after_post = stripslashes(get_option('ez_after_post'));
$post_into_before_post_home = get_option('ez_before_post_home');
$post_into_after_post_home = get_option('ez_after_post_home');
$post_into_before_post_single = get_option('ez_before_post_single');
$post_into_after_post_single = get_option('ez_after_post_single');
$post_into_before_post_page = get_option('ez_before_post_page');
$post_into_after_post_page = get_option('ez_after_post_page');
$post_into_before_post_category = get_option('ez_before_post_category');
$post_into_after_post_category = get_option('ez_after_post_category');
$post_into_before_post_search = get_option('ez_before_post_search');
$post_into_after_post_search = get_option('ez_after_post_search');
$post_into_before_post_archive = get_option('ez_before_post_archive');
$post_into_after_post_archive = get_option('ez_after_post_archive');
$ez_zenback_style = '.zenback {
	font-size:10px !important;
}
.zenback .zenback-heading{
	font-size:10.5px !important;
}';


add_action('admin_menu', 'ez_zenback_register_menu_item');

function ez_zenback_add_admin_footer(){ // show plugin info in the footer
	$plugin_data = get_plugin_data(__FILE__);
	printf('%1$s by %2$s<br />', $plugin_data['Title'].' '.$plugin_data['Version'], $plugin_data['Author']);
}

function ez_zenback_register_menu_item() {
	global $ez_zenback_style;
	register_setting('ez_zenback-settings-group', 'ez_zenback_code');
	register_setting('ez_zenback-settings-group', 'ez_zenback_position');
	register_setting('ez_zenback-settings-group', 'ez_zenback_single');
	register_setting('ez_zenback-settings-group', 'ez_zenback_page');
	register_setting('ez_zenback-settings-group', 'ez_zenback_accuracy');
	register_setting('ez_zenback-settings-group', 'ez_zenback_style_enable');
	register_setting('ez_zenback-settings-group', 'ez_zenback_style');
	register_setting('ez_zenback-settings-group', 'ez_before_post');
	register_setting('ez_zenback-settings-group', 'ez_before_post_home');
	register_setting('ez_zenback-settings-group', 'ez_before_post_single');
	register_setting('ez_zenback-settings-group', 'ez_before_post_page');
	register_setting('ez_zenback-settings-group', 'ez_before_post_category');
	register_setting('ez_zenback-settings-group', 'ez_before_post_search');
	register_setting('ez_zenback-settings-group', 'ez_before_post_archive');
	register_setting('ez_zenback-settings-group', 'ez_after_post');
	register_setting('ez_zenback-settings-group', 'ez_after_post_home');
	register_setting('ez_zenback-settings-group', 'ez_after_post_single');
	register_setting('ez_zenback-settings-group', 'ez_after_post_page');
	register_setting('ez_zenback-settings-group', 'ez_after_post_category');
	register_setting('ez_zenback-settings-group', 'ez_after_post_search');
	register_setting('ez_zenback-settings-group', 'ez_after_post_archive');
	add_option('ez_zenback_code');
	add_option('ez_zenback_position', 'before');
	add_option('ez_zenback_single', 0);
	add_option('ez_zenback_page', 0);
	add_option('ez_zenback_accuracy', 0);
	add_option('ez_zenback_style_enable', 0);
	add_option('ez_zenback_style', $ez_zenback_style);
	add_option('ez_before_post');
	add_option('ez_before_post_home', 0);
	add_option('ez_before_post_single', 0);
	add_option('ez_before_post_page', 0);
	add_option('ez_before_post_category', 0);
	add_option('ez_before_post_search', 0);
	add_option('ez_before_post_archive', 0);
	add_option('ez_after_post');
	add_option('ez_after_post_home', 0);
	add_option('ez_after_post_single', 0);
	add_option('ez_after_post_page', 0);
	add_option('ez_after_post_category', 0);
	add_option('ez_after_post_search', 0);
	add_option('ez_after_post_archive', 0);
	$ez_page_hook = add_options_page('EZ zenback Options', 'EZ zenback', 'manage_options', 'ez-zenback-options', 'ez_zenback_options_panel');
	if ($ez_page_hook != null) {
		$ez_page_hook = '-'.$ez_page_hook;
	}
	add_action('admin_print_scripts'.$ez_page_hook, 'ez_zenback_load_jscript_for_admin');
}

// Load javascript in the setting panel
function ez_zenback_load_jscript_for_admin(){
	global $ez_plugin_url;
	wp_enqueue_script('rc_admin_js', $ez_plugin_url.'rc-admin-js.js', false, '1.1');
}

// Add link to the setting panel
add_filter('plugin_action_links', 'ez_zenback_setting_link', 10, 2);

function ez_zenback_setting_link($links, $file){
	static $this_plugin;
	if (! $this_plugin) $this_plugin = plugin_basename(__FILE__);
	if ($file == $this_plugin){
		$settings_link = '<a href="options-general.php?page=ez-zenback-options">'.__('Settings', 'ez_zenback').'</a>';
		array_unshift($links, $settings_link);
	}  
	return $links;
} 

// Insert zenback tags
function ez_zenback_insert_zenback_body($content) {
	global $zenback_accuracy, $zenback_single, $zenback_page;
	$title = trim(wp_title('', false));
	$time = get_post_time('Y-m-d');
	$t_before = '<span style="display:none;"><!-- zenback_title_begin -->';
	$t_after = '<!-- zenback_title_end --></span>';
	$b_before = '<!-- zenback_body_begin -->';
	$b_after = '<!-- zenback_body_end --><!-- zenback_date '.$time. ' -->';
	if (is_single()) {
		if ($zenback_single == 1 && $zenback_accuracy == 1) {
			return $t_before.$title.$t_after.$b_before.$content.$b_after;
		} else {
			return $content;
		}
	}
	if (is_page()) {
		if ($zenback_page == 1 && $zenback_accuracy == 1) {
			return $t_before.$title.$t_after.$b_before.$content.$b_after;
		} else {
			return $content;
		}
	}
	return $content;
}

// Insert zenback code
function ez_zenback_insert_zenback_code() {
	global $zenback_code, $zenback_accuracy, $zenback_single, $zenback_page;
	if (is_single()) {
		if ($zenback_single == 1 && $zenback_accuracy == 1) {
			echo $zenback_code;
		} else {
			echo '';
		}
	}
	if (is_page()) {
		if ($zenback_page == 1 && $zenback_accuracy == 1) {
			echo $zenback_code;
		} else {
			echo '';
		}
	}
	echo '';
}

if ($zenback_position == 'widget') {
	include_once('ez-zenback-widget.php');
}

if ($zenback_accuracy == 1) {
	add_filter('the_content', 'ez_zenback_insert_zenback_body', 1);
}
if (version_compare(get_bloginfo('version'), "3.0", ">=") && !function_exists('dsq_options')) {
	if ($zenback_position == 'before') {
		add_filter('comment_form_before','ez_zenback_insert_zenback_code', 1);
	}
	if ($zenback_position == 'after') {
		add_filter('comment_form_after','ez_zenback_insert_zenback_code', 1);
	}
}

// Add stylesheet for zenback
if (get_option('ez_zenback_style_enable') == 1) {
	add_action('wp_head', 'ez_zenback_load_style');
}

function ez_zenback_load_style(){
	global $ez_zenback_ver, $zenback_single, $zenback_page;
	if (($zenback_single == 1 && is_single()) || ($zenback_page == 1 && is_page())) {
		echo "\n<!-- EZ zenback Ver.".$ez_zenback_ver." CSS for zenback Begin -->\n";
		echo "<style type='text/css'>\n".get_option('ez_zenback_style')."\n</style>\n";
		echo "<!-- EZ zenback Ver.".$ez_zenback_ver." CSS for zenback End -->\n";
	}
}

// Insert user's own code into home, posts, pages
function ez_zenback_insert_into_post($content) {
	global $before_post, $after_post, $post_into_before_post_home, $post_into_after_post_home, $post_into_before_post_single, $post_into_after_post_single, $post_into_before_post_page, $post_into_after_post_page;
	if (is_home() || is_front_page()) {
		if ($post_into_before_post_home == 1 && $post_into_after_post_home == 1) {
			return $before_post.$content.$after_post;
		} elseif ($post_into_before_post_home == 1 && $post_into_after_post_home == 0) {
			return $before_post.$content;
		} elseif ($post_into_before_post_home == 0 && $post_into_after_post_home == 1) {
			return $content.$after_post;
		} else {
			return $content;
		}
	}
	if (is_single()) {
		if ($post_into_before_post_single == 1 && $post_into_after_post_single == 1) {
			return $before_post.$content.$after_post;
		} elseif ($post_into_before_post_single == 1 && $post_into_after_post_single == 0) {
			return $before_post.$content;
		} elseif ($post_into_before_post_single == 0 && $post_into_after_post_single == 1) {
			return $content.$after_post;
		} else {
			return $content;
		}
	}
	if (is_page()) {
		if ($post_into_before_post_page == 1 && $post_into_after_post_page == 1) {
			return $before_post.$content.$after_post;
		} elseif ($post_into_before_post_page == 1 && $post_into_after_post_page == 0) {
			return $before_post.$content;
		} elseif ($post_into_before_post_page == 0 && $post_into_after_post_page == 1) {
			return $content.$after_post;
		} else {
			return $content;
		}
	}
	return $content;
}

// Insert user's own code into the excerpts
function ez_zenback_insert_into_excerpt($excerpt) {
	global $before_post, $after_post, $post_into_before_post_category, $post_into_after_post_category, $post_into_before_post_search, $post_into_after_post_search, $post_into_before_post_archive, $post_into_after_post_archive;
	if (is_category()) {
		if ($post_into_before_post_category == 1 && $post_into_after_post_category == 1) {
			return $before_post.$excerpt.$after_post;
		} elseif ($post_into_before_post_category == 1 && $post_into_after_post_category == 0) {
			return $before_post.$excerpt;
		} elseif ($post_into_before_post_category == 0 && $post_into_after_post_category == 1) {
			return $excerpt.$after_post;
		} else {
			return $excerpt;
		}
	}
	if (is_search()) {
		if ($post_into_before_post_search == 1 && $post_into_after_post_search == 1) {
			return $before_post.$excerpt.$after_post;
		} elseif ($post_into_before_post_search == 1 && $post_into_after_post_search == 0) {
			return $before_post.$excerpt;
		} elseif ($post_into_before_post_search == 0 && $post_into_after_post_search == 1) {
			return $excerpt.$after_post;
		} else {
			return $excerpt;
		}
	}
	if (is_archive()) {
		if ($post_into_before_post_archive == 1 && $post_into_after_post_archive == 1) {
			return $before_post.$excerpt.$after_post;
		} elseif ($post_into_before_post_archive == 1 && $post_into_after_post_archive == 0) {
			return $before_post.$excerpt;
		} elseif ($post_into_before_post_archive == 0 && $post_into_after_post_archive == 1) {
			return $excerpt.$after_post;
		} else {
			return $excerpt;
		}
	}
	return $excerpt;
}

if ($before_post != "" || $after_post != "") {
	add_filter('the_content', 'ez_zenback_insert_into_post', 10);
	add_filter('the_excerpt', 'ez_zenback_insert_into_excerpt', 10);
}

// Setting panel
function ez_zenback_options_panel(){
	global $ez_plugin_url;
	if(!function_exists('current_user_can') || !current_user_can('manage_options')){
			die(__('Cheatin&#8217; uh?'));
	} 
	add_action('in_admin_footer', 'ez_zenback_add_admin_footer');
	?> 
	<div class="wrap">
	<h2>EZ Zenback</h2>
	<h3><?php _e("Settings for zenback", 'ez_zenback') ?></h3>
	<form method="post" action="options.php">
		<table class="form-table">
		<?php settings_fields('ez_zenback-settings-group'); ?>
			<tr valign="top">
				<th scope="row"><?php _e('zenback code', 'ez_zenback') ?></th> 
				<td>
					<textarea name="ez_zenback_code" rows="6" style="width:500px"><?php echo get_option('ez_zenback_code') ?></textarea>
				<p><small><?php _e('Get your "<a href="http://zenback.jp/">zenback code</a>" now. zenback is registered trademark of Six Apart, Ltd.', "ez_zenback") ?></small></p>
				</td>
			</tr>
			<tr valign="top">
				<th scope="row"><?php _e('Position', 'ez_zenback') ?></th> 
				<td>
					<input type="radio" name="ez_zenback_position" value="before" <?php if (get_option('ez_zenback_position') == "before") { echo 'checked="checked"';} ?>/><?php _e('Before comment block', 'ez_zenback') ?> <input type="radio" name="ez_zenback_position" value="after" <?php if (get_option('ez_zenback_position') == "after") { echo 'checked="checked"';} ?>/><?php _e('After comment block', 'ez_zenback') ?> <input type="radio" name="ez_zenback_position" value="widget" <?php if (get_option('ez_zenback_position') == "widget") { echo 'checked="checked"';} ?>/><?php _e('Widget', 'ez_zenback') ?>
				</td>
			</tr>
			<tr valign="top">
				<th scope="row"><?php _e('Insert into', 'ez_zenback') ?></th> 
				<td>
					<?php $zenback_single_check = get_option('ez_zenback_single') ? ' checked="checked" ' : ''; ?>
					<?php $zenback_page_check = get_option('ez_zenback_page') ? ' checked="checked" ' : ''; ?>
					<input type="checkbox" name="ez_zenback_single" value="1" <?php echo $zenback_single_check; ?>/><?php _e('Post', 'ez_zenback') ?> <input type="checkbox" name="ez_zenback_page" value="1" <?php echo $zenback_page_check; ?>/><?php _e('Page', 'ez_zenback') ?>
				</td>
			</tr>
			<tr valign="top">
				<th scope="row"><?php _e('Improve the accuracy of zenback', 'ez_zenback') ?></th> 
				<td>
					<?php $accuracy_check = get_option('ez_zenback_accuracy') ? ' checked="checked" ' : ''; ?>
					<input type="checkbox" name="ez_zenback_accuracy" value="1" <?php echo $accuracy_check; ?>/>
				</td>
			</tr>
			<tr valign="top">
				<th scope="row"><?php _e('Style Sheet', 'ez_zenback') ?></th>
				<td>
					<input type="checkbox" name="ez_zenback_style_enable" value="1" <?php if(get_option('ez_zenback_style_enable') == 1){echo 'checked="checked" ';} ?>/> <?php _e('Use additional CSS', 'ez_zenback') ?><br />
					<textarea name="ez_zenback_style"  rows="8" style="width:500px"><?php echo get_option('ez_zenback_style') ?></textarea>
				</td>
			</tr>
		</table>
	<h3><?php _e("Settings for Inserting HTML, JavaScripts into your posts", 'ez_zenback') ?></h3>
		<table class="form-table">
			<tr valign="top">
				<th scope="row"><?php _e('Before the post content block', 'ez_zenback') ?></th> 
				<td>
					<textarea name="ez_before_post"  rows="6" style="width:500px"><?php echo get_option('ez_before_post') ?></textarea>
				</td>
			</tr>
			<tr valign="top">
				<th scope="row"><?php _e('Insert into', 'ez_zenback') ?></th> 
				<td>
					<?php $before_home_check = get_option('ez_before_post_home') ? ' checked="checked" ' : ''; ?>
					<?php $before_single_check = get_option('ez_before_post_single') ? ' checked="checked" ' : ''; ?>
					<?php $before_page_check = get_option('ez_before_post_page') ? ' checked="checked" ' : ''; ?>
					<?php $before_category_check = get_option('ez_before_post_category') ? ' checked="checked" ' : ''; ?>
					<?php $before_search_check = get_option('ez_before_post_search') ? ' checked="checked" ' : ''; ?>
					<?php $before_archive_check = get_option('ez_before_post_archive') ? ' checked="checked" ' : ''; ?>
					<input type="checkbox" name="ez_before_post_home" value="1" <?php echo $before_home_check; ?>/><?php _e('Home', 'ez_zenback') ?> <input type="checkbox" name="ez_before_post_single" value="1" <?php echo $before_single_check; ?>/><?php _e('Post', 'ez_zenback') ?> <input type="checkbox" name="ez_before_post_page" value="1" <?php echo $before_page_check; ?>/><?php _e('Page', 'ez_zenback') ?> <input type="checkbox" name="ez_before_post_category" value="1" <?php echo $before_category_check; ?>/><?php _e('Category', 'ez_zenback') ?> <input type="checkbox" name="ez_before_post_search" value="1" <?php echo $before_search_check; ?>/><?php _e('Search', 'ez_zenback') ?> <input type="checkbox" name="ez_before_post_archive" value="1" <?php echo $before_archive_check; ?>/><?php _e('Archives', 'ez_zenback') ?>
				</td>
			</tr>
			<tr valign="top">
				<th scope="row"><?php _e('After the post content block', 'ez_zenback') ?></th> 
				<td>
					<textarea name="ez_after_post"  rows="6" style="width:500px"><?php echo get_option('ez_after_post') ?></textarea>
				</td>
			</tr>
			<tr valign="top">
				<th scope="row"><?php _e('Insert into', 'ez_zenback') ?></th> 
				<td>
					<?php $after_home_check = get_option('ez_after_post_home') ? ' checked="checked" ' : ''; ?>
					<?php $after_single_check = get_option('ez_after_post_single') ? ' checked="checked" ' : ''; ?>
					<?php $after_page_check = get_option('ez_after_post_page') ? ' checked="checked" ' : ''; ?>
					<?php $after_category_check = get_option('ez_after_post_category') ? ' checked="checked" ' : ''; ?>
					<?php $after_search_check = get_option('ez_after_post_search') ? ' checked="checked" ' : ''; ?>
					<?php $after_archive_check = get_option('ez_after_post_archive') ? ' checked="checked" ' : ''; ?>
					<input type="checkbox" name="ez_after_post_home" value="1" <?php echo $after_home_check; ?>/><?php _e('Home', 'ez_zenback') ?> <input type="checkbox" name="ez_after_post_single" value="1" <?php echo $after_single_check; ?>/><?php _e('Post', 'ez_zenback') ?> <input type="checkbox" name="ez_after_post_page" value="1" <?php echo $after_page_check; ?>/><?php _e('Page', 'ez_zenback') ?> <input type="checkbox" name="ez_after_post_category" value="1" <?php echo $after_category_check; ?>/><?php _e('Category', 'ez_zenback') ?> <input type="checkbox" name="ez_after_post_search" value="1" <?php echo $after_search_check; ?>/><?php _e('Search', 'ez_zenback') ?> <input type="checkbox" name="ez_after_post_archive" value="1" <?php echo $after_archive_check; ?>/><?php _e('Archives', 'ez_zenback') ?>
				</td>
			</tr>
		 </table>
		<p class="submit">
		  <input type="submit" name="Submit" value="<?php _e('Save Changes', 'ez_zenback') ?>" />
		</p>
	</form>
	<h3><?php _e('Settings for zenback', 'ez_zenback') ?></h3> 	
	<ol> 
	<li><?php _e('This plugin will help you to install "<a href="http://zenback.jp/">zenback</a>".', 'ez_zenback') ?>
	</li>
	<li>
	<?php _e('To insert "zenback" code into your posts or pages, At first, Enter your zenback code in "zenback code".', 'ez_zenback') ?>
	</li>
	<li>
	<?php _e('Choose display position of "zenback", You can insert "zenback" before or after comment block.<br />You can also add zenback as a widget.<br />After you choose "widget", go to "Widgets" section under "Appearance" menu in WordPress and add the "EZ zenback Widget" in your sidebar.', 'ez_zenback') ?>
	</li> 
	<li><?php _e('Choose contents which "zenback" will install to. You can install "zenback" to your posts, pages or both.', 'ez_zenback') ?>
	</li> 	
	<li><?php _e('When you activate "Improve the accuracy of zenback",<br /><a href="http://zenback.typepad.jp/blog/2010/07/%E9%96%A2%E9%80%A3%E8%A8%98%E4%BA%8B%E3%81%AE%E7%B2%BE%E5%BA%A6%E3%82%92%E4%B8%8A%E3%81%92%E3%82%8Bzenback%E3%82%BF%E3%82%B0.html">Special tags</a> will be insert your posts or pages to improve the accuracy of analysing related posts.', 'ez_zenback') ?>
	</li>
	<li><?php _e('If you need you can add your own stylesheet for zenback. <a href="http://blog.zenback.jp/2010/07/%E3%83%96%E3%83%AD%E3%82%B0%E3%83%91%E3%83%BC%E3%83%84%E3%81%AEidclass%E6%A7%8B%E9%80%A0%E3%81%AB%E3%81%A4%E3%81%84%E3%81%A6.html">ブログパーツのid／class構造とcssについて</a>', 'ez_zenback') ?>
	</li> 
	</ol>
	<h3><?php _e('Settings for Inserting HTML, JavaScripts into your posts', 'ez_zenback') ?></h3> 	
	<ol> 
	<li><?php _e('You can also insert your own HTML or JavaScripts before or after your posts, pages easily.', 'ez_zenback') ?>
	</li>
	<li>
	<?php _e('Enter your HTML or JavaScripts in "Before the Post content block", "After the Post content block" or both.', 'ez_zenback') ?>
	</li>
	<li>
	<?php _e('Choose contents which your HTML or JavaScripts will be inserted into.', 'ez_zenback') ?>
	<br />
	<?php _e('When you activate "Archives", your HTML or JavaScripts will be inserted into "Year", "Month", "Date", "Time" and "Tag" based archives pages.', 'ez_zenback') ?>
	</li> 
	</ol>
	<h3><?php _e('Notes', 'ez_zenback') ?></h3> 	
	<ol> 
	<li><?php _e('This plugin depends on your using wordpress theme.', 'ez_zenback') ?>
	<br />
	<?php _e('In some wordpress themes, this plugin will not work normally.', 'ez_zenback') ?>
	<li><?php _e('You need to use this plugin with default comment system.', 'ez_zenback') ?>
	<br />
	<?php _e('When default comment system is turn off or default comment system is replaced by other comment system, "zenback" will not be shown.', 'ez_zenback') ?>
	<br />
	<?php _e('If you have used "<a href="http://disqus.com/">DISQUS</a>" as your comment system or you want to use "DISQUS",<br />Use "<a href="http://www.near-mint.com/blog/software/disqus-comment-system-for-ez-zenback">Disqus Comment System for EZ zenback</a>" plugin instead of <a href="http://wordpress.org/extend/plugins/disqus-comment-system/">Disqus Comment System</a> plugin.', 'ez_zenback') ?>
	</li>
	</ol>
	<h3><a href="javascript:showhide('id1');" name="system_info"><?php _e("Show Your System Info", 'ez_zenback') ?></a></h3>
	<div id="id1" style="display:none; margin-left:20px">
	<p>
	<?php _e('Server OS:', 'ez_zenback') ?> <?php echo php_uname('s').' '.php_uname('r'); ?><br />
	<?php _e('PHP version:', 'ez_zenback') ?> <?php echo phpversion(); ?><br />
	<?php _e('MySQL version:', 'ez_zenback') ?> <?php echo mysql_get_server_info(); ?><br />
	<?php _e('WordPress version:', 'ez_zenback') ?> <?php bloginfo("version"); ?><br />
	<?php _e('Site URL:', 'ez_zenback') ?> <?php bloginfo("url"); ?><br />
	<?php _e('WordPress URL:', 'ez_zenback') ?> <?php bloginfo("wpurl"); ?><br />
	<?php _e('WordPress language:', 'ez_zenback') ?> <?php bloginfo("language"); ?><br />
	<?php _e('WordPress character set:', 'ez_zenback') ?> <?php bloginfo("charset"); ?><br />
	<?php _e('WordPress theme:', 'ez_zenback') ?> <?php $ez_theme = get_theme(get_current_theme()); echo $ez_theme['Name'].' '.$ez_theme['Version']; ?><br />
	<?php _e('EZ zenback version:', 'ez_zenback') ?> <?php $ez_plugin_data = get_plugin_data(__FILE__); echo $ez_plugin_data['Version']; ?><br />
	<?php _e('EZ zenback URL:', 'ez_zenback') ?> <?php echo $ez_plugin_url; ?><br />
	<?php _e('Your browser:', 'ez_zenback') ?> <?php echo $_SERVER['HTTP_USER_AGENT']; ?>
	</p>
	</div>
	<p>
	<?php _e("To report a bug ,submit requests and feedback, ", 'ez_zenback') ?><?php _e('Use <a href="http://wordpress.org/tags/ez-zenback?forum_id=10">Forum</a> or <a href="http://www.near-mint.com/blog/contact">Mail From</a>', 'ez_zenback') ?>
	</p>
	</div>
<?php }
?>